%global pypi_name sphinxcontrib-devhelp

Summary:       Sphinx extension for Devhelp documents
Name:          python-%{pypi_name}
Version:       1.0.2
Release:       4%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       %{pypi_source}

BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-sphinx

BuildArch:     noarch

%description
sphinxcontrib-devhelp is a sphinx extension which outputs Devhelp document.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for Devhelp documents

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-devhelp is a sphinx extension which outputs Devhelp document.

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/devhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/devhelp/locales/$lang/LC_MESSAGES/*.mo -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/devhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/devhelp/locales
popd

%find_lang sphinxcontrib.devhelp

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.devhelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_devhelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_devhelp-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.2-1
- initial build
